Module | TkPack
In: | tk/lib/tk/pack.rb

### Methods

configure forget info pack propagate slaves

### Included Modules

Tk

### Constants

TkCommandNames | = | ['pack'.freeze].freeze

### Public Instance methods

configure(win, *args)

[Source]

    # File tk/lib/tk/pack.rb, line 12
      def configure(win, *args)
        if args[-1].kind_of?(Hash)
          opts = args.pop
        else
          opts = {}
        end
        params = []
        # params.push((win.kind_of?(TkObject))? win.epath: win)
        params.push(_epath(win))
        args.each{|win|
          # params.push((win.kind_of?(TkObject))? win.epath: win)
          params.push(_epath(win))
        }
        opts.each{|k, v|
          params.push("-#{k}")
          # params.push((v.kind_of?(TkObject))? v.epath: v)
          params.push(_epath(v))
        }
        tk_call_without_enc("pack", 'configure', *params)
      end

forget(*args)

[Source]

    # File tk/lib/tk/pack.rb, line 34
      def forget(*args)
        return '' if args.size == 0
        wins = args.collect{|win|
          # (win.kind_of?(TkObject))? win.epath: win
          _epath(win)
        }
        tk_call_without_enc('pack', 'forget', *wins)
      end

info(slave)

[Source]

    # File tk/lib/tk/pack.rb, line 43
      def info(slave)
        # slave = slave.epath if slave.kind_of?(TkObject)
        slave = _epath(slave)
        ilist = list(tk_call_without_enc('pack', 'info', slave))
        info = {}
        while key = ilist.shift
          info[key[1..-1]] = ilist.shift
        end
        return info
      end

pack(win, *args)

Alias for configure

propagate(master, mode=None)

[Source]

    # File tk/lib/tk/pack.rb, line 54
      def propagate(master, mode=None)
        # master = master.epath if master.kind_of?(TkObject)
        master = _epath(master)
        if mode == None
          bool(tk_call_without_enc('pack', 'propagate', master))
        else
          tk_call_without_enc('pack', 'propagate', master, mode)
        end
      end

slaves(master)

[Source]

    # File tk/lib/tk/pack.rb, line 64
      def slaves(master)
        # master = master.epath if master.kind_of?(TkObject)
        master = _epath(master)
        list(tk_call_without_enc('pack', 'slaves', master))
      end

[Validate]